## org.apache.jasper.runtime
Class VariableResolverImpl

    java.lang.Object
      org.apache.jasper.runtime.VariableResolverImpl

All Implemented Interfaces:
  VariableResolver

    public class VariableResolverImpl

extends Object
implements VariableResolver

This is the implementation of VariableResolver in JSP 2.0, using ELResolver in JSP2.1. It looks up variable references in the PageContext, and also recognizes references to implicit objects.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Kin-man Chung

Constructor Summary
`VariableResolverImpl(PageContext pageContext)` Constructor

Method Summary
`Object` `resolveVariable(String pName)` Resolves the specified variable within the given context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolverImpl

    public VariableResolverImpl(PageContext pageContext)

  Constructor

Method Detail

### resolveVariable

    public Object resolveVariable(String pName)
                           throws ELException

  Resolves the specified variable within the given context. Returns null if the variable is not found.

  Specified by:
    `resolveVariable` in interface `VariableResolver`
  Parameters:
    `pName` - the name of the variable to resolve
  Returns:
    the result of the variable resolution
  Throws:
    `ELException` - if a failure occurred while trying to resolve the given variable

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.